Bug 98098 - Can't open various windows/functions
Can't open various windows/functions
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: mozilla (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-26 11:47 EDT by David Gamey
Modified: 2007-04-18 12:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 14:30:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Gamey 2003-06-26 11:47:02 EDT
Description of problem: 
 
Various windows and functions under mozilla won't operate correctly.    
 
Originally opened under RedHat Support as Service Request: 240055  they think this is a 
conflict between Mozilla and Konqueror.  
 
Also, pursuing with Mozilla http://bugzilla.mozilla.org/show_bug.cgi?id=210627 
 
Backgound: 
 
I just installed and RH9/Shrike and ran up2date.  I'm using KDE.  There has been 
almost no customization. (This is on hold until everything works first). 
 
The PC is a P3 @1GHz with 512MB Ram. The video is an AGP (SIS630) running 12MB ram. 
 
Detailed Sympoms: 
- If I start Konqueror then Mozilla won't start.  The toolbar icon animation 
confirms activation then nothing.  If I exit all instances of Konqueror then 
usually Mozilla starts.  Sometimes I must drop X and manually startx. 
- Once Mozilla is up I can't open/start many functions.  They're totally 
unresponsive.  Following links works, web pages work, menu items associated 
through links work (e.g. HELP, Release Notes).  Some examples of things that 
don't work: 
-- Help, About 
-- Window, Mail + News 
-- Reply, Reply All, Compose (if I start Mozilla Mail and not the browser.  Get 
Messages apears to work though). 
The menu item Window, shows a numbered window with a blank description.  I can't 
transfer to these windows. 
 
Inspection of the system log show no problems.  There is a problem in X related 
to DRI (direct rendering) being disabled.  I'm investigating this separately. 
 
I looked through quite a few bug reports using "can't" and "open" without luck. 
 Anything I found close had a spectacular side effect such as a crash, core, or 
CPU loop.  This just quietly doesn't work. 
 
I was looking for more recent RPMS for Mozilla to reproduce the problem.  Also, 
without luck.  I found some empty RPM directories.  I'd prefer RPMs over a tar 
ball at this point (until I've customized to segregate additions better). 
 
Are there some diagnostic switches I can add to gather more info on this? 
 
Version-Release number of selected component (if applicable): 
 
RedHat 9.0 box set.  All up2date including kernel. 
kdebase is 3.1-13 
mozilla is 1.2.1-26 
 
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225 
Build Identifier: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225 
 
Reproducible: Always 
 
Steps to Reproduce: 
1. startx 
2. mozilla 
3. try functions as noted 
 
Actual Results:   
nothing (with minor side effects noted) 
 
Expected Results:   
opened windows/started functions selected 
 
Additional info: 
 
Mozilla has suggested I upgrade to a more current version.  They have RH8 rpm's for 1.3 
which I have downloaded but not yet applied.   
 
Is there anything I can do to get some helpful diagnostics when this happens? 
 
FYI: I could not use the new bug form as Konqueror crashed after getting a repost request on 
the additional information button. 
 
I'll keep you posted on developments. 
 
Thanks, David
Comment 1 David Gamey 2003-06-27 17:27:27 EDT
I upgraded Mozilla to 1.3-0 using the 11 Red Hat 8 RPMs from Mozilla. See below. 
The problem has gone away.  I can now open a second window under Mozilla. 
 
------- Additional Comments From ajschult@eos.ncsu.edu  2003-06-26 05:36 ------- 
the most recent Mozilla RPM is 1.4 release candidate 1 
http://download.mozilla.org/pub/mozilla/nightly/experimental/gtk2/1.4rc1/ 
there is also Mozilla 1.3 here: 
http://download.mozilla.org/pub/mozilla/releases/mozilla1.3/Red_Hat_8x_RPMS/gtk2/ 
 
My system now has: 
 
$ rpm -qa |grep mozilla 
mozilla-nspr-1.3-0_rh8_gtk2 
mozilla-chat-1.3-0_rh8_gtk2 
mozilla-nspr-devel-1.3-0_rh8_gtk2 
mozilla-1.3-0_rh8_gtk2 
mozilla-mail-1.3-0_rh8_gtk2 
mozilla-devel-1.3-0_rh8_gtk2 
mozilla-js-debugger-1.3-0_rh8_gtk2 
mozilla-nss-devel-1.3-0_rh8_gtk2 
mozilla-nss-1.3-0_rh8_gtk2 
mozilla-dom-inspector-1.3-0_rh8_gtk2 
mozilla-psm-1.3-0_rh8_gtk2 
 
 
Comment 2 Ngo Than 2003-07-01 09:01:36 EDT
Hmm, it's a problem in mozilla
Comment 3 Bill Nottingham 2006-08-05 01:53:52 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 5 Bill Nottingham 2007-01-02 14:30:48 EST
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.